Update a creator
curl --request PATCH \
--url https://api.creatoraudit.com/v2/creators/{creator_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Q. Doe"
}
'import requests
url = "https://api.creatoraudit.com/v2/creators/{creator_id}"
payload = { "name": "Jane Q. Doe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Jane Q. Doe'})
};
fetch('https://api.creatoraudit.com/v2/creators/{creator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "creator",
"is_active": false,
"metadata": {},
"accounts_summary": {
"total": 0,
"platforms": {},
"total_followers": 0
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Creators
Update a creator
Update a creator’s name, is_active, or metadata.
Partial update — only the fields you include change. Returns the
updated creator; 404 if it does not exist in your organization.
PATCH
/
creators
/
{creator_id}
Update a creator
curl --request PATCH \
--url https://api.creatoraudit.com/v2/creators/{creator_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Q. Doe"
}
'import requests
url = "https://api.creatoraudit.com/v2/creators/{creator_id}"
payload = { "name": "Jane Q. Doe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Jane Q. Doe'})
};
fetch('https://api.creatoraudit.com/v2/creators/{creator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "creator",
"is_active": false,
"metadata": {},
"accounts_summary": {
"total": 0,
"platforms": {},
"total_followers": 0
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creator UUID.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes